Page 1 of 1

Installing Security Patch causes error

Posted: Wed Jul 30, 2003 5:26 pm
by Lorand
OK - I responded in a different person's message but got very little in the way of help. So, I first apologize for this new thread. However, I installed the security patch (using cut & paste - no typos) that was posted for the Admin Styles problem. Once finished, I get the following error:
Parse Error: Parse error, unexpected T_STRING in Admin/Admin_Styles.php on line 5x


The reason I put line 5x is because the line has changed on me several times, after each different attempt to paste in the patch. The lines involved have been 52, 53, 54, or 55.

Please offer any suggestion you may have to solve this problem. Remember, no typos - I pasted the code directly from here - no typing involved in the code.

Thanks in advance.

Assistance, please.

Posted: Thu Jul 31, 2003 5:58 pm
by Lorand
Bump.

Please, does anyone have an answer to this problem?

Thanks.

Posted: Thu Jul 31, 2003 5:59 pm
by Jaeboy
Ya must have forgotten a semi-colon ; or dollar sign $ somewhere...

Posted: Thu Jul 31, 2003 6:02 pm
by Lorand
Jaeboy wrote: Ya must have forgotten a semi-colon ; somewhere...
Well, since it was cut & paste - I don't see how I can have forgotten anything ... but, of course, it's possible the original poster of the "fix" forgot a semi-colon somewhere?

Here is what I pasted in (originally copied from this forum):
//
//
// Load default header
//
//
// Check if the user has cancled a confirmation message.
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');

$confirm = ( isset($HTTP_POST_VARS['confirm']) ) ? TRUE : FALSE;
$cancel = ( isset($HTTP_POST_VARS['cancel']) ) ? TRUE : FALSE;

$no_page_header = (!empty($HTTP_POST_VARS['send_file']) || $cancel) ? TRUE : FALSE;

require('./pagestart.' . $phpEx);

if ($cancel)
{
   redirect('admin/' . append_sid("admin_styles.$phpEx", true));
}


Thanks.

Posted: Thu Jul 31, 2003 6:04 pm
by Jaeboy

Posted: Thu Jul 31, 2003 6:54 pm
by Lorand
Jaeboy wrote: Have you applied both patch?


That patch went fine and caused no errors.

This is the patch to the Admin/Admin_Styles.php that is causing the problems.

Thanks - any more ideas?

Please help

Posted: Fri Aug 01, 2003 4:42 pm
by Lorand
Bump. It's been another 24 hours (about) - can no one offer any assistance on this problem? It is a security issue, afterall.

Can no one help with this security problem?

Posted: Mon Aug 04, 2003 5:15 pm
by Lorand
Bump.

It's now been another 24 hours (and the entire weekend) and still no help?

This is a security issue - why can no one help with this? Is there no answer?

Thanks. (I hope)

Posted: Mon Aug 04, 2003 5:22 pm
by primedomain
this problem is fixed in 2.0.6. You should update...

Posted: Mon Aug 04, 2003 5:31 pm
by CLee
Because no one knows what you did wrong and can't even begin to help you out. What version of phpBB are you using? Have you installed any MODs? (There error could be in one of those.) Have you tried this on a fresh copy of admin_styles.php? Have you considered upgrading to 2.0.6?

Thank you

Posted: Tue Aug 05, 2003 5:21 pm
by Lorand
primedomain wrote: this problem is fixed in 2.0.6. You should update...
Thank you. I have updated and the error is not manifesting. I'm presuming the programming team included the changes for the security fix and that now, all is well.

Thanks for your time and assistance.